=begin JA

= Neale and Hoskins (2000) ˤ¸ (оη׻)

# * ⶶ ˧ (yot), ݹ  (takepiro)
#   * $Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $

=end JA
=begin EN

= Aqua planet experiment by Neale and Hoskins (2000) (Axisymmetric calculation)

# * Yoshiyuki O. Takahashi (yot), Shin-ichi Takehiro (takepiro)
#   * $Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $

=end EN


=begin JA

Neale and Hoskins (2000) ˤäƤ줿, ɽ̤ƿǤ褦ʾ () 
, оμ¸Ԥˡޤ. 

η׻ˤϰʲʪѤƤޤ. 

  *  (ϵ絤) 
  * ľȻ (Mellor and Yamada, 1974, ٥ 2) 
  * ѱѥ᥿ꥼ: Relaxed Arakawa-Schubert  (Moorthi and Suarez, 1992) 
  * Ƿ絬϶ŷ 
#  * ήĴ 

=end JA
=begin EN

A method to perform an aqua planet experiment 
(planetary surface is covered by watar) proposed by Neale and Hoskins (2000) in 
an axisymmetric condition 
is described. 

Following physical processes are used in this experiment.

  * Radiation (model for the Earth's atmosphere) 
  * Vertical diffusion (Mellor and Yamada, 1974, level 2) 
  * Cumulus parameterization: Relaxed Arakawa-Schubert scheme (Moorthi and Suarez, 1992) 
  * Large scale condensation
#  * Dry convective adjustment

=end EN


=begin JA
== 

ܼ¸Ǥ, оΥǥѤƷ׻Ԥޤ. 
оϳزȤˤ, FFLAGS  -DAXISYMMETRY ޤ -DAXISYMMETRY_SJPACK 
Ϳƥӥɤʤɬפ뤳ȤդƤ.

ܼ¸Ǥ, ɽ̲٤ΥǡɬפǤ. ä, 
¸μ¹Ԥϰʲ 4 ĤΥƥåפǹԤޤ.

  * ¸ǥ쥯ȥν
  * ͤν
  * ¸ѥǡ (ɽ̲ʬ) ν
  * ¸μ¹

=end JA
=begin EN
== Overview

This experiment uses an axisymmetric version of dynamical process. 
The axisymmetric version can be built by compiling the code 
with setting FFLAGS to -DAXISYMMETRY or -DAXISYMMETRY_SJPACK.

This experiment requires data of distribution of sea surface temperature. 
So, the experiment is performed with the following 4 steps:

  * Preparation of directory for experiments
  * Preparation of initial condition
  * Preparation of additional data (sea surface temperature) for experiments
  * Execution of experiments

=end EN

=begin JA

== ¸ѥǥ쥯ȥ

dcpam5 οͼ¸ϥĥ꡼ǤϹԤ鷺
ĥ꡼Ȥ̤γǥ쥯ȥˤƹԤȤ侩ޤ. 

ޤ dcpam5 Υȥåץǥ쥯ȥ(ʲǤ dcpam5-YYYYMMDD Ȥ)˰ưƤ. 
ʲǤ dcpam5 ǥ쥯ȥ٤ ../dcpma5-exp/ape-nh00-axisym-exp ǥ쥯ȥ, Ǽ¸ԤȤˤޤ. 
Τ褦  ../dcpam5-exp/ape-nh00-axisymexp ǥ쥯ȥ, 
ưƤ. 

  $ mkdir -p ../dcpam5-exp/ape-nh00-axisym-exp
  $ cd ../dcpam5-exp/ape-nh00-axisym-exp

, Υǥ쥯ȥ˼¹ԥեե֤ޤ. 

  $ mkdir bin
  $ mkdir conf

Ǹ˺ǥ쥯ȥ˼¹ԥեե򥳥ԡޤ. 

  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_main bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_init_data  bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_init_data_surface   bin
  $ cp ../../dcpam5-YYYYMMDD/exp_setup_files/*.conf conf

#practice ǥ쥯ȥ˰ưƤ. 
#
#  $ cd practice
#
#Υǥ쥯ȥ, make ޥɤ¹ԤƤ.
#ưŪ˼¹ԥե NAMELIST ե뤬ԡޤ. 
#make ޥϸ, ޤǥ쥯ȥ̾ŬϤƤ.
#(Ǥ ape-nh00-exp ȤƤޤ). 
#ʹߤμϤȤꤢΤޤ Enter ϤƤ. 
#
#  $ make
#
#  ****** Setup a directory for a experiment ******
#
#    Enter directory name [testXX]: ape-nh00-exp-axisym
#    Directory in which executable files are prepared
#      [../src/main]: 
#            :
#
#ƤΥǥ쥯ȥ˰ưޤ. 
#
#  $ cd ape-nh00-exp-axisym


ʤ, ¹ԥեե (NAMELIST ե) , ɤΥǥ쥯ȥˤƤ׻ԤȤǤޤ. 

== ͥǡեκ

dcpam_init_data  init_data_APE_NH00_Axisym_T42L22.conf
Ѥƽͥե init_T42L22.nc ޤ. 

  $ ./bin/dcpam_init_data -N=./conf/init_data_APE_NH00_Axisym_T42L22.conf

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "./conf/init_data_APE_NH00_Axisym_T42L22.conf".
                         : 
   *** MESSAGE [initial_data] ***    PsAvr   = 101080.
   *** MESSAGE [initial_data] ***    QVapAvr = 0.
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [HistoryClose] ***  "init_T42L22.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.400020E-01
   ------------------------------------------------
          TOTAL TIME =    0.400020E-01


== ¸ѥǡν

¸ѥǡȤ, ʬۤΥǡ
ʲѰդƤޤ. 

  * ((<ץǡ|URL:http://www.gfd-dennou.org/library/dcpam/sample/2011-02-19_tutorial/APE_NH01/>))

嵭Υڡ "O3_NH00_lon1_T042.nc" ɤ, ¸Ԥǥ쥯ȥ֤Ƥ. 

== SST ǡեκ

, dcpam_init_data_surface  sst_data_APE_NH00_Axisym_T42.conf Ѥ, ̥ǡ
sst_T42.nc ޤ. 

  $ ./bin/dcpam_init_data_surface -N=./conf/sst_data_APE_NH00_Axisym_T42.conf

   *** MESSAGE [sst_data] ***  Run: SST data generation
   *** MESSAGE [sst_data] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "./conf/sst_data_APE_NH00_Axisym_T42.conf".
                         :
   *** MESSAGE [surface_data] ***    SoilHeatCap      = 2100000.
   *** MESSAGE [surface_data] ***    SoilHeatDiffCoef = 1.2
   *** MESSAGE [surface_data] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [HistoryClose] ***  "sst_T42.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.400000E-02
   ------------------------------------------------
          TOTAL TIME =    0.400000E-02


== ¸μ¹

Ǹ dcpam_main, dcpam_APE_NH00_Axisym_T42L22.conf ѤƼ¸»ܤޤ. 
 T42L21, ֥ƥå 12 ʬ 2 ʬ׻Ԥޤ. 
ꥹȥǡ, ɽ̥ꥹȥǡȤĤΥҥȥǡ
ե뤬Ϥޤ. 

  $ ./bin/dcpam_main -N=./conf/dcpam_APE_NH00_Axisym_T42L22.conf | tee ape-nh00.log

ͥǡ, ɽ̥ǡ, ¸ѹˤ,
嵭μ¹Ԥ˺ݤ conf ǥ쥯ȥ init_data_APE_NH00_Axisym_T42L22.conf, sst_data_APE_NH00_Axisym_T42.conf, 
dcpam_APE_NH00_Axisym_T42L22.conf ѹƤ. 

׻̤βϡĻ벽ˡˤĤƤ((<|URL:./visualization.htm>))򻲾ȤƤ. 

=end JA

=begin EN

== Preparation of a directory for an experiment

Let us move to the top directory of dcpam5 src tree
(assuming dcpam5-YYYYMMDD in the following example). 
Here, we perform an experiment in ../dcpam5-exp/ape-nh00-axisym-exp directory. 
Please create the directory and enter there as follows: 

  $ mkdir -p ../dcpam5-exp/ape-nh00-axisym-exp
  $ cd ../dcpam5-exp/ape-nh00-axisym-exp

Then, pleaase create the directories for executable files and configuration
files as follows:

  $ mkdir bin
  $ mkdir conf

Finally, executable files and configuration files are copied as follows: 

  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_main bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_init_data  bin
  $ cp ../../dcpam5-YYYYMMDD/src/main/dcpam_init_data_surface   bin
  $ cp ../../dcpam5-YYYYMMDD/exp_setup_files/*.conf conf

Note that you can perform an experiment in any directory by using executable files and configuration (NAMELIST) files.


== Create initial data file

Create initial data file "init_T42L22.nc"
using "dcpam_init_data" and "init_data_APE_NH00_Axisym_T42L22.conf" 
  
  $ ./bin/dcpam_init_data -N=./conf/init_data_APE_NH00_Axisym_T42L22.conf

   *** MESSAGE [init_data] ***  Run: Initial data generation
   *** MESSAGE [init_data] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "./conf/init_data_APE_NH00_Axisym_T42L22.conf".
                         : 
   *** MESSAGE [initial_data] ***    PsAvr   = 101080.
   *** MESSAGE [initial_data] ***    QVapAvr = 0.
   *** MESSAGE [initial_data] ***    Ueq     = 0.
   *** MESSAGE [initial_data] ***
   *** MESSAGE [initial_data] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [HistoryClose] ***  "init_T42L22.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.400020E-01
   ------------------------------------------------
          TOTAL TIME =    0.400020E-01

== Preparation of additional data

This experiment requires additional data of ozone distribution. 
Those data are prepared at following site.

  * ((<sample data|URL:http://www.gfd-dennou.org/library/dcpam/sample/2011-02-19_tutorial/APE_NH01/>))

Please download "O3_NH00_lon1_T042.nc" from above site, and place those files at experimental directory. 


== Create SST data file

Next, create SST data "sst_T42.nc" using
"dcpam_init_data_surface" and "sst_data_APE_NH00_Axisym_T42.conf". 

  $ ./bin/dcpam_init_data_surface -N=./conf/sst_data_APE_NH00_Axisym_T42.conf

   *** MESSAGE [sst_data] ***  Run: SST data generation
   *** MESSAGE [sst_data] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [namelist_util] ***  ----- Initialization Messages -----
   *** MESSAGE [namelist_util] ***    MaxNmlArySize = 256
   *** MESSAGE [namelist_util] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [timeset] ***  NAMELIST group "timeset_nml" is loaded from "./conf/sst_data_APE_NH00_Axisym_T42.conf".
                         :
   *** MESSAGE [surface_data] ***    SoilHeatCap      = 2100000.
   *** MESSAGE [surface_data] ***    SoilHeatDiffCoef = 1.2
   *** MESSAGE [surface_data] ***  -- version = $Name: dcpam5-20140314 $$Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
   *** MESSAGE [HistoryClose] ***  "sst_T42.nc" is closed
  
   ############## CPU TIME SUMMARY ################
   others                 0.400000E-02
   ------------------------------------------------
          TOTAL TIME =    0.400000E-02

== Run the experiment

At the last, run a experiment using 
"dcpam_main" and "dcpam_APE_NH00_Axisym_T42L22.conf". 
Resolution is T42L22, time step is 12 minutes.
Integration time is 7 days. 
A restart data file, a restart data file of surface data,
and some history data files are output. 

  $ ./bin/dcpam_main -N=./conf/dcpam_APE_NH00_Axisym_T42L22.conf | tee ape-nh00-axisym.log

If initial data, surface data, settings of experiments want to be
changed, edit "init_data_APE_NH00_Axisym_T42L22.conf", "sst_data_APE_NH00_Axisym_T42.conf", 
"dcpam_APE_NH00_Axisym_T42L22.conf" in "conf" directory.

=end EN

=begin JA
== Ǹ
¸ǥ쥯ȥ˺줿׻̤¸Ƥˤ
ǡѥǥ쥯ȥ(㤨 data01), 
եưƤޤ礦. 

  $ mkdir data01
  $ mv *.nc *.log data01/

ʤ, ׻̤׻¹Ի˥֥ǥ쥯ȥؽϤ뤳ȤǽǤ. 
((<¸ѹ|URL:./changesetup.htm>))νѹ򻲾Ȥ, 
NAMELIST "&gtool_historyauto_nml" ѿ "FilePrefix" ˤƤߤƲ. 
=end JA

=begin EN
== Final remark
If you would like to keep the results of the numerical experiment, 
please create a sub directory ("data01" for example), move the files, 
and keep the current directory neatly. 

  $ mkdir data01
  $ mv *.nc *.log data01/

You can output the results of the numerical experimet concurrently with the
execution. Please refer to "Change output settings" 
in ((<Change experimental setup|URL:./changesetup.htm.en>)) 
and try to configure "FilePrefix" variable in NAMELIST "&gtool_historyauto_nml". 

=end EN

=begin JA
== ʸ
=end JA

=begin EN
== References
=end EN

=begin

#* Manabe, S., J. Smagorinsky, and R. F. Strickler, 1965: 
#  Simulated climatology of a general circulation model with a
#  hydrologic cycle,
#  ((|Mon. Wea. Rev.|)), ((*93*)), 769--798.

* ((<Mellor, G. L., and T. Yamada, 1974: 
  A hierarchy of turbulence closure models for planetary
  boundary layers,
  ((|J. Atmos. Sci.|)), ((*31*)), 1791--1806.
  |URL:http://journals.ametsoc.org/doi/abs/10.1175/1520-0469%281974%29031%3C1791%3AAHOTCM%3E2.0.CO%3B2>))

* ((<Moorthi, S., and M. J. Suarez, 1992:
  Relaxed Arakawa-Schubert: A parameterization of moist convection for 
  general circulation models, 
  ((|Mon. Wea. Rev.|)), ((*120*)), 978--1002.
  |URL:http://journals.ametsoc.org/doi/abs/10.1175/1520-0493%281992%29120%3C0978%3ARASAPO%3E2.0.CO%3B2>))

* ((<"Neale, R. B., and B. J. Hoskins, 2000:
  A standard test for AGCMs including their physical parameterizations:
  I: The proposal, 
  ((|Atmos. Sci. Lett.|)), doi:10.1006/asle.2000.0019."|URL:http://onlinelibrary.wiley.com/doi/10.1006/asle.2000.0022/abstract>))

=end

=begin HTML
<hr />
<small>
  $Id: exp-APE-NH00-Axisym.rd,v 1.4 2013-10-06 13:46:11 yot Exp $
</small>
=end HTML

